Overview of changes in simple-scan 49.0

~~~~~~~~~~~~~~
Released: 2025-09-04

  * Fix horizontal scrollbar.
  * Continue batch flatbed scans when SANE returns NO_DOCS after first page.
  * Change component type to "desktop-application".
  * Rename appdata to metainfo.
  * Run postprocessing after save and display errors separately.
  * Move postprocessing to its own function.
  * Fixed matching saved scanner after finishing scanners discovery.
  * Add numerical measure for brightness and contrast.
  * Updated translations.

Overview of changes in simple-scan 48.1

~~~~~~~~~~~~~~
Released: 2025-04-05

  * Always tag JPEG-compressed PDF output as 8-bit RGB.
  * Use "view-more-symbolic" for the "Scan Options" button icon.
  * Add a test if the post-processing script path is empty.
  * Fix the docker image name of the Arch Linux Distribution.
  * Update Ubuntu documentation.
  * metainfo: Fix wrong developer id.
  * Correct issue tracker URL.
  * Update minimum Meson version to 0.46.
  * Use RDNN app ID.
  * Updated translations.

Overview of changes in simple-scan 46.0
~~~~~~~~~~~~~~
Released: 2024-03-18

  * Updated translations

Overview of changes in simple-scan 46.beta
~~~~~~~~~~~~~~
Released: 2024-02-23

  * Switch to GTK4 and libadwaita
  * Implement redesign
  * Updated translations

Overview of changes in simple-scan 44.0
~~~~~~~~~~~~~~
Released: 2023-03-19

  * Add shortcut for Preferences (Ctrl+comma: Opens the preferences window).
  * Add buttons to change orientation of even/odd pages - usecase for Reversing Automatic Document Feeder (RADF) scanners.
  * Fix image size after cropping.
  * Updated translations.

Overview of changes in simple-scan 42.5
~~~~~~~~~~~~~~
Released: 2022-09-19

  * Updated translations.

Overview of changes in simple-scan 42.1
~~~~~~~~~~~~~~
Released: 2022-04-19

  * Clarify project license.
  * Updated translations.

Overview of changes in simple-scan 42.0
~~~~~~~~~~~~~~
Released: 2022-03-18

  * Skip virtual devices when detecting scanners.
  * Add support for postprocessing scripts.
  * Save Window state to user's .config folder instead of user's .cache folder.
  * Updates 'About' dialog to match with other GNOME apps.
  * Delete autosave records after creating new document [#278].
  * Fix replacing underscore with space.
  * Fix autosave of Page Side property [#273].
  * Add the device name to the label if there are several identical models.
  * Fix incorrect scan button tooltips.
  * Updated translations.

Overview of changes in simple-scan 40.6
~~~~~~~~~~~~~~
Released: 2021-10-27

  * Add duplex scanning support for Canon DR-C240.
  * Add missing centered ADF source option from Brother driver.
  * Updated translations.

Overview of changes in simple-scan 40.5
~~~~~~~~~~~~~~
Released: 2021-09-22

  * Fix automatic size detection on Brother scanners.
  * Updated translations.

Overview of changes in simple-scan 40.1
~~~~~~~~~~~~~~
Released: 2021-05-25

  * Fix for set of X, Y resolutions for Epson.
  * Allow scan double side of single page if Flatbed is not found.
  * Updated translations.

Overview of changes in simple-scan 40.0
~~~~~~~~~~~~~~
Released: 2021-03-23

  * Updated translations.

Overview of changes in simple-scan 40.beta
~~~~~~~~~~~~~~
Released: 2021-02-25

  * Don't repeat vendor name in the device name.
  * GNOME 40 consistency updates.
  * Fix crop size after decreasing page size.
  * UI fixes: change crop icon, improve layout of buttons.
  * Add redetect button to device list.
  * Add new resolution 200 DPI.
  * Add zero second delay for Multiple Pages from FlatBed.
  * Display an error, when no documents found in the feeder.
  * Rename 'Start again' button to 'New document'.
  * Fix crash on lexmark backend.
  * Updated translations.

Overview of changes in simple-scan 3.38.1
~~~~~~~~~~~~~~
Released: 2020-10-02

  * Updated translations.

Overview of changes in simple-scan 3.38.0
~~~~~~~~~~~~~~
Released: 2020-09-11

  * Updated translations.

Overview of changes in simple-scan 3.37.92
~~~~~~~~~~~~~~
Released: 2020-09-04

  * Display error message if simple-scan is unable to open simple-scan.log [#192].
  * Fix scanning on Epson devices, when Automatic Page Size is enabled [#90].
  * Updated translations.

Overview of changes in simple-scan 3.37.3

  * Improve compression scale which appear during file saving, to be more
    intuitive.
  * Fix color scanning for Brother ADS 2200 and 2700 sane backend.

Overview of changes in simple-scan 3.37.2

  * Store save directory as URI
  * Change the size of the paper to avoid visual glitches.
  * Revert the higher bit depth text scans changes - they aren't working with
    PDF saving.

Overview of changes in simple-scan 3.37.1

  * Show ruler around page.
  * Use higher bit depth on text scans.
  * Use default quality setting to prevent slow scanning.
  * Always set brightness and contrast settings to fix bugs with the wrong
    values being used.
  * Redetect scanners when document restarted to fix network scanner detection.
  * Don't interrupt scanning if the device is busy.
  * Support saving files to FUSE file systems.
  * Fix size of first page on second scan.
  * Small fixes to home page.
  * Display dialog if out of memory.
  * Add ADF duplex support for Brother DS-720.
  * Fix setting source for Epson scanner.
  * Preserve file format between saves.
  * Add initial Lexmark printers support.
  * Update keyboard shortcuts dialog.
  * Update known USB scanner IDs.
  * Improve debugging messages.
  * Update documentation.

Overview of changes in simple-scan 3.36.0

  * Updated translations

Overview of changes in simple-scan 3.35.92

  * Updated translations

Overview of changes in simple-scan 3.35.91

  * Improve description in desktop file / AppStream data.
  * Fix page shortcuts no longer working.
  * Help improvements.

Overview of changes in simple-scan 3.35.90

  * Fix mnemnonics in preferences dialog.
  * Help improvements.

Overview of changes in simple-scan 3.35.3

  * Move the scanner selection combo from preferences to the home page.
  * Add print option to burger menu.
  * Add preferences button in scan options popover.
  * Remember last Scan type between runs.
  * Move spinner from scan page to scan/stop button.
  * Move preferences location in burger menu.
  * Make scan/stop button change label immediately when it is clicked.
  * Adjust minimum size of scan/stop button to better handle translations.
  * Add prompt to autoload data to avoid bad data making startup impossible.
  * Display an error when no documents found in an ADF scan.
  * Improve handling and debugging of inactive SANE options.
  * Add support for setting brightness and contrast in FIXED format.
  * Fix color scanning on some Brother scanners.
  * Fix preferences mnemonics.
  * Set minimal width and height of the main window.
  * Help improvements.
  * Update README.

Overview of changes in simple-scan 3.35.2

  * Updated translations

Overview of changes in simple-scan 3.35.1

  * Enhance appdata with more fields used by GNOME Software, Flathub etc.
  * Update libwepmix VAPI file to fix possibly unassigned local variable.

Overview of changes in simple-scan 3.34.0

  * Updated translations

Overview of changes in simple-scan 3.33.92

  * Updated translations

Overview of changes in simple-scan 3.33.91

  * Updated translations

Overview of changes in simple-scan 3.33.90

  * Change (user visible) name to "Document Scanner"
  * Updated icon

Overview of changes in simple-scan 3.33.4

  * Reinstate shortcut keys that stopped working in 3.32
  * Fix page delay preferences not working correctly

Overview of changes in simple-scan 3.33.3

  * Updated translations

Overview of changes in simple-scan 3.33.2

  * Make icon landscape

Overview of changes in simple-scan 3.33.1

  * Use new app icon

Overview of changes in simple-scan 3.32.0

  * Updated translations

Overview of changes in simple-scan 3.31.92

  * Updated translations

Overview of changes in simple-scan 3.31.91

  * Fix save overwriting existing file when user decided not to.
  * Make save button insensitive while saving

Overview of changes in simple-scan 3.31.90.1

  * Fix crash when detecting scanners

Overview of changes in simple-scan 3.31.90

  * Support non-standard Epson ADF scanner options

Overview of changes in simple-scan 3.31.4

  * Updated translations

Overview of changes in simple-scan 3.31.3

  * Updated translations

Overview of changes in simple-scan 3.31.2

  * Use Gtk.FileChooserNative for save dialog so works in sandboxed environments
  * Use GLib.List.deep_copy() to fix type-argument mismatch

Overview of changes in simple-scan 3.31.1

  * Replace scan menu with a popdown
  * Make ActionBar buttons wide to match design
  * Drop legacy toolbar support
  * Update homepage from Launchpad to gitlab.gnome.org
  * Remove some GTK+ code that isn't present in GTK+ 4
  * Update About menu item to new standard name
  * Make about dialog app name translatable

Overview of changes in simple-scan 3.30.0

  * Updated translations

Overview of changes in simple-scan 3.29.92

  * Keep scanning while pages are reordered
  * Update README

Overview of changes in simple-scan 3.29.91

  * Updated translations

Overview of changes in simple-scan 3.29.90

  * Updated translations

Overview of changes in simple-scan 3.29.4

  * Add A3 paper size to preferences
  * Remove app menu and add menu into headerbar

Overview of changes in simple-scan 3.29.3

  * Handle NO_DOCS response during sane_read calls

Overview of changes in simple-scan 3.29.2

  * Fix compilation with recent Vala version
  * Stop using deprecated API

Overview of changes in simple-scan 3.28.1

  * Updated translations

Overview of changes in simple-scan 3.28.0

  * Updated translations

Overview of changes in simple-scan 3.27.92

  * Updated translations

Overview of changes in simple-scan 3.27.91

  * Update Snap packaging

Overview of changes in simple-scan 3.27.90

  * Fix email sending failing with PDF attachments
  * Fix time units for page delay

Overview of changes in simple-scan 3.27.4

  * Updated translations

Overview of changes in simple-scan 3.27.3

  * Update docs to reflect move to gitlab.gnome.org

Overview of changes in simple-scan 3.27.2

  * Updated translations

Overview of changes in simple-scan 3.27.1

  * Update appdata to latest standards
  * Don't symlink help media (breaks with relocatable packages)

Overview of changes in simple-scan 3.26.0

  * Updated translations

Overview of changes in simple-scan 3.25.92

  * Updated translations

Overview of changes in simple-scan 3.25.91

  * Added Snap packaging

Overview of changes in simple-scan 3.25.90

  * Fix grammar in preferences dialog

Overview of changes in simple-scan 3.25.4

  * Add a shortcut window
  * Fix application ID to match resources names

Overview of changes in simple-scan 3.25.3

  * Add support for lossy webp image.
  * More preferences dialog design improvements.
  * Make saving asyncronous, multithreaded, cancellable.
  * Add colour to scan button.
  * Put email entry in hamburger menu (was removed in design changes).
  * Don't show welcome page if autloaded document.
  * Fix scan menu not working Unity/XFCE/MATE etc.
  * Don't use headerbar on i3 desktop.
  * Set a minimal version number for packagekit-glib2.
  * Translatable string / build rules improvements.

Overview of changes in simple-scan 3.25.2

  * Redesign preferences dialog.
  * Move JPEG compression control to save dialog.
  * Replace blank page with a homescreen that shows scanner status.
  * Simplify header bar controls.
  * Move page controls to an action bar below scanned page.
  * Improve algorithm that picks JPEG or zlib compression for PDF files.
  * Restrict image file filter to supported image formats.
  * Fix compilation with Vala 0.36.
  * Remove obsolete code.

Overview of changes in simple-scan 3.25.1

  * Check if files exist in multi-file saves
  * Remove "Save As" - save now always prompts when overwriting
  * Add a continuous scan option
  * Make email and print actions insensitive when document empty
  * Remove .ps and .tiff output support - this is not required
  * Switch from autotools to Meson

Overview of changes in simple-scan 3.24.0

  * No change version bump

Overview of changes in simple-scan 3.23.92

  * Updated translations

Overview of changes in simple-scan 3.23.90

  * Updated translations

Overview of changes in simple-scan 3.23.3

  * Updated translations

Overview of changes in simple-scan 3.23.2

  * Add optional tags in PDF output to be more PDF/A compliant
  * Don't use GtkHeaderBar in Cinnamon

Overview of changes in simple-scan 3.22.0.1

  * Stop icon name in .desktop file being translated

Overview of changes in simple-scan 3.22.0

  * Updated translations

Overview of changes in simple-scan 3.21.90

  * Use recent features of gettext, dropping intltool

Overview of changes in simple-scan 3.21.1

  * Updated translations

Overview of changes in simple-scan 3.20.0

  * Fix window state saving with client side decorations

Overview of changes in simple-scan 3.19.92

  * Updated translations

Overview of changes in simple-scan 3.19.91

  * Updated translations

Overview of changes in simple-scan 3.19.90

  * Updated translations

Overview of changes in simple-scan 3.19.4

  * Updated translations

Overview of changes in simple-scan 3.19.3

  * Fix typo in Epson website
  * Enable translations for help documentation

Overview of changes in simple-scan 3.19.2

  * Make colord/packagekit support able to be explicitly disabled

Overview of changes in simple-scan 3.19.1

  * Make PackageKit support optional
  * Add help about quality, brightness, contrast settings
  * Fix help references to Wikipedia (currently just say Wiki)
  * Fix SANE capability logging commas

Overview of changes in simple-scan 3.18.0

  * Show error message when fail to install drivers
  * Bump copyright dates

Overview of changes in simple-scan 3.17.92

  * Correctly select the previous device after the device list is updated

Overview of changes in simple-scan 3.17.91

  * Updated translations

Overview of changes in simple-scan 3.17.90

  * Default to PDF when saving in all cases.
  * Always show file format options and use a combo box to fit better into dialog
  * Detect HP scanners and install drivers using PackageKit if found.
  * If SANE detects no scanners but we see USB IDs of Brother, Epson or Samsung
    scanners then prompt the user to go to their website to install drivers.
  * Use GUsb instead of GUdev.
  * Fix error dialogs not showing.

Overview of changes in simple-scan 3.17.4

  * Updated translations

Overview of changes in simple-scan 3.17.3

  * Stop using gnome-common, use autotools directly

Overview of changes in simple-scan 3.17.2

  * Updated translations

Overview of changes in simple-scan 3.17.1.1

  * Build appdata in a separate directory so it can have translations merged in
    but gschemas do not.

Overview of changes in simple-scan 3.17.1

  * Fix logic for adding blank page on page removal.
  * Fix save button being inactive on pages restored after a crash
  * Make appdata translatable and add screenshot

Overview of changes in simple-scan 3.16.0

  * Updated translations

Overview of changes in simple-scan 3.15.92

  * Updated translations

Overview of changes in simple-scan 3.15.91

  * Updated translations

Overview of changes in simple-scan 3.15.90

  * Don't use GtkHeaderBar in LXDE, MATE

Overview of changes in simple-scan 3.15.4

  * Fix error where document was discarded if warning dialog was closed
  * Use window decorations if running in Unity of XFCE, all others get the headerbar
  * Add GenericName to .desktop file
  * Add some keywords in the .desktop file
  * Initialize GTK+ after command line options are parsed

Overview of changes in simple-scan 3.15.3

  * Updated translations

Overview of changes in simple-scan 3.15.2

  * Store density information in bitmap formats (JPEG, PNG, TIFF). Requires
    gdk-pixbuf 2.32.2

Overview of changes in simple-scan 3.15.1

  * Updated translations

Overview of changes in simple-scan 3.14.0

  * No change version bump

Overview of changes in simple-scan 3.13.92

  * Updated translations

Overview of changes in simple-scan 3.13.91

  * Updated translations

Overview of changes in simple-scan 3.13.90

  * Add non-standard option names for duplex scanning on HP And Brother scanners

Overview of changes in simple-scan 3.13.4.2

  * Fix scan menu not working in toolbar
  * Fix warning about button that was trying to set both a label and an image
  * Stop warning when no autosave information

Overview of changes in simple-scan 3.13.4.1

  * Don't access a variable after ownership is transferred - was breaking scans
  * Fix some UI objects not being accessed since GtkTemplate changes
  * Correct method signature for delete-event

Overview of changes in simple-scan 3.13.4

  * Stop configure if vala not found
  * Make conditions where traditional menubar is shown more contrained so it
    shows in elementary
  * Use GtkTemplate (requires Vala 0.22)

Overview of changes in simple-scan 3.13.3

  * Use GtkHeaderbar on systems that support it

Overview of changes in simple-scan 3.13.1

  * Correct generation of PDF trailer to conform to the PDF standard
  * Add options to reorder pages

Overview of changes in simple-scan 3.12.0

  * Updated translations

Overview of changes in simple-scan 3.11.92

  * Updated translations

Overview of changes in simple-scan 3.11.91

  * Updated translations

Overview of changes in simple-scan 3.11.5

  * Only update gsettings when they change. Move application state from
    gsettings to ~/.cache

Overview of changes in simple-scan 3.11.4

  * Use AppMenu in GNOME Shell

Overview of changes in simple-scan 3.11.3

  * Remove deprecated Gtk.Stock items and Gtk widgets (GtkVBox, GtkTable, GtkHButtonBox)
  * Stop using sqlite package
  * Update .ui file to work with recent Glade version

Overview of changes in simple-scan 3.11.1.1

  * Fix regression where quality and contrast can be reset to minimum
  * Install missing help images
  * Mark autosaved books as needs saving

Overview of changes in simple-scan 3.11.1

  * Fix page size not being applied on some drivers
  * Rewrite autosaving. Now uses files for scan data, is more efficient in
    writing to disk and drops dependency on sqlite.

Overview of changes in simple-scan 3.10.0

  * Fix --fix-pdf not working due to attempting to treat binary data as UTF-8

Overview of changes in simple-scan 3.9.91

  * Add appdata file

Overview of changes in simple-scan 3.9.90

  * Only autosave after a timeout

Overview of changes in simple-scan 3.9.4.1

  * Add missing gresource file to tarball

Overview of changes in simple-scan 3.9.4

  * Add support for Samsung devices that don't use the standard SANE
    field names

Overview of changes in simple-scan 3.9.3

  * Update README to mention git mirror
  * Hide C warnings
  * Compile with Vala debugging information

Overview of changes in simple-scan 3.9.2

  * Force an extension when saving if one not provided
  * Zero pad numbering when saving multiple files
  * Add JPEG quality settings
  * Set ICC profile and density units for JPEG files
  * Use gdk-pixbuf instead of libjpeg when writing PDF files

Overview of changes in simple-scan 3.9.1

  * Add copy to clipboard function
  * Compile UI files into binary
  * Update build instructions

Overview of changes in simple-scan 3.8.0

  * Updated version

Overview of changes in simple-scan 3.7.1

  * Autosave document and restore on quit
  * Add controls for brightness and contrast
  * Fix scan no longer working after an ADF scan completes
  * Use GLib 2.32 threading API
  * Fix erroneous warning about failing to set ADF source
  * Updated help
  * Simplify build system

Overview of changes in simple-scan 3.6.0

  * No change version bump

Overview of changes in simple-scan 3.5.90

  * Remove drag and drop support - it breaks the cropping
  * Fix crash caused by signal being emitted in scan thread
  * Fix crash when starting a new document during a scan
  * Fix --debug not working

Overview of changes in simple-scan 3.5.3

  * Always set scanner options in the same order to avoid options resetting
    options already set.
  * Number multiple page documents from 1
  * Commit help .pot file so can be translated from Launchpad
  * Fix help not working
  * Show progress dialog when saving files
  * Support drag and drop

Overview of changes in simple-scan 3.4.0

  * No change version bump

Overview of changes in simple-scan 3.3.92

  * Fix buffer overrun writing black and white PDFs
  * Build help with yelp-tools instead of gnome-doc-utils

Overview of changes in simple-scan 3.2.1

  * Fix JPEG compression not working in PDF files

Overview of changes in simple-scan 3.2.0

  * Version number change only

Overview of changes in simple-scan 3.1.91

  * Fix compilation with latest Vala

Overview of changes in simple-scan 3.1.90

  * Fix incorrect PDF generation, and add a --fix-pdf command line to fix broken
    files generated by older versions

Overview of changes in simple-scan 3.1.5

  * Fix compile warnings

Overview of changes in simple-scan 3.1.3

  * Port to Vala
  * Port to GTK3
  * Port to GDBus
  * Port to GSettings
  * Port to colord

Overview of changes in simple-scan 2.32.0.2

  * Add binary comment as recommended in PDF spec
  * Add comments about other PDF/A features
  * Updated translations

Overview of changes in simple-scan 2.32.0.1

  * Fix crash when pages not scanned top to bottom
  * Fix PDF output in locales that use ',' for a decimal point
  * Handle grayscale mode in brother3 driver
  * Fix wrong size crop when saving

Overview of changes in simple-scan 2.32.0

  * Updated translations

Overview of changes in simple-scan 2.31.91

  * Allow pages to be reordered

Overview of changes in simple-scan 2.31.90.2

  * Fix crash saving cropped pages

Overview of changes in simple-scan 2.31.90.1

  * Store scanned pages in raw format, not converted to 8 bit RGB.  This uses
    less memory and allows higher bit images to be used in the future.
  * Fix scaling in output PDF
  * Use 4 gray levels for text scanned documents

Overview of changes in simple-scan 2.31.90

  * Updated translations

Overview of changes in simple-scan 2.31.5

 * Prompt user to save if they are quitting/starting a new document and have
   unsaved changes.
 * Save button only sensitive if have unsaved data
 * Add save as button

Overview of changes in simple-scan 2.31.4

 * Implement PDF writer, no longer require ImageMagick and about twice as
   compressed as old method.

Overview of changes in simple-scan 2.31.3

 * Use GtkInfoBar for errors/warnings

Overview of changes in simple-scan 2.31.1

 * Compile with -DGSEAL_ENABLE
 * Fix crash setting automatic source on some drivers
 * Set resolution on ImageMagick generated PDFs
 * Set "duplex" and "batch-scan" flags if supported by driver

Overview of changes in simple-scan 1.0.0

 * Don't put dashes in temporary filenames used when emailing to workaround a
   Thunderbird bug
 * Add 32x32 crop icon
 * Don't replace scanner provided on the command-line with detected devices
 * Handle ImageMagick process failing
 * Fix incorrect dimensions for A4 and A6 paper

Overview of changes in simple-scan 0.9.10

 * Change default scan direction to top-to-bottom
 * Call sane_cancel after each document, not duing multi page scans
 * Set X-GNOME-Gettext-Domain in .desktop file
 * Fix memory leak in page_set_scan_area()
 * Fix read buffering when reading large images
 * Fix moving crop on pages after first
 * Load color profiles for scanner and save them in output files
 * Fix broken logic in picking nearest supported scan resolution
 * Add save button back into toolbar
 * Put text beside crop toolbutton
 * Merge document type into scan menu

Overview of changes in simple-scan 0.9.9

 * Fix crop rotation
 * Improve crop outline so visible on more scanned documents
 * Make preferences window fixed size
 * Add page size selection

Overview of changes in simple-scan 0.9.8

 * Open page in image viewer when double clicking on it
 * Use custom crop icon for crop toolbutton
 * Use Gtk theme when painting focus on selected page
 * Added scan sources seen on propietary brother3 driver
 * Explicitly set flatbed source as not all drivers support automatic sources
 * Add preferences options for which page side to scan
 * Reduce shading on crop overlay
 * Remove save and preferences buttons from toolbar
 * Make crop toolbar button a toggle
 * Fix bugs in crop resizing
 * Compress PDF images

Overview of changes in simple-scan 0.9.7

 * Fix crash when deleting page from multi-page document
 * Add icon into help dialog
 * Update misleading description of PNG in help file

Overview of changes in simple-scan 0.9.6

 * Show PDF files by default in save dialog
 * Set default save location to Documents directory
 * Remember save location
 * Attach JPEG files when emailing photos
 * Make stop button only sensitive when scanning
 * Correctly store default page orientation for first page
 * Optimise rendering
 * Show page throbber for pages following the first one
 * Fix bug where selecting scan before devices are detected would sometime fail
 * Don't move focus to selected page when moving the scrollbar
 * Make sure USB scanners are automatically selected when plugging in

Overview of changes in simple-scan 0.9.5

 * Fix crash when scanning with no detected scanners
 * Make Ctrl+N shortcut for New Document
 * Made Help>Contents menu translatable
 * Change resolution options in settings to 75, 150, 300, 600, 1200, 2400 dpi
 * Change text default resolution to 150 dpi, photo to 300 dpi
 * Set minimum window document display height
 * Pick nearest available DPI setting for drivers that only support fixed DPIs
 * Fix crash selecting scanner from command line
 * Scale pages in preview so they match physical size, not pixel size

Overview of changes in simple-scan 0.9.4

 * Disable compression in scanner when supported
 * Improved scan mode tooltip (Jeroen Hoek)
 * Log to ~/.cache/simple-scan/simple-scan.log

Overview of changes in simple-scan 0.9.3

 * Default to photo scanning mode
 * Rotate crop with page
 * Clip crop when rotating it
 * Set crop menu radio buttons when enabling crop from the toolbar
 * Add tooltips for preference,rotate,crop toolbar buttons
 * Added a stop toolbutton

Overview of changes in simple-scan 0.9.2

 * Add "ADF Front" to the list of possible ADF sources
 * Always scan using maximum available area
 * Call sane_cancel() after each page
 * Don't start new pages when already scanning

Overview of changes in simple-scan 0.9.1

 * Fix distorted scans when require more than one read per line

Overview of changes in simple-scan 0.9.0

 * Fixed some bugs where blank pages were left after failed scans, pages
   were incorrectly replaced
 * Removed replace document on each scan from preferences (always append)
 * Make scan resolution configurable in preferences dialog
 * Show list of supported formats in save dialog and update extension based on
   them
 * Add Document>Email menuitem (Ctrl+E)
 * Add Ctrl+F short cut to scan from feeder
 * Added help

Overview of changes in simple-scan 0.8.2

 * Make toolbar scan button "important" so it shows button text
 * Add crop toolbar button
 * Compile with standard SANE, not Debian modified SANE
 * Select ADF source when doing ADF scan
 * Only rescan for devices when USB add/remove events occur
 * Don't cache list of devices (can lead to duplicate entries as devices can
   change names as they change USB ports)
 * Remember page dimensions between application instances
 * Improved debug logging
 * Make build process use AM_SILENT_RULES
 * Added man page from Alessio Treglia

Overview of changes in simple-scan 0.8.1

 * Connect scan from feeder button in toolbar
 * Support custom crop
 * Show page with animation while waiting for scan data
 * Fix scrolling to new page when page added
 * Save JPEG images as foo.jpg not foo.jpeg
 * Check for libsane in build system
 * Added Launchpad translations: eu, fi, gl, he, pt, te, uk, vi
 * Updated Luanchpad translations: (many)

Overview of changes in simple-scan 0.8.0

 * Remember page rotation
 * Add new document button
 * Added Launchpad translations: af, ar, cs, da, el, en_GB, es, hr, hu, it, ja,
                                 lt, ms, nb, pl, pt_BR, ru, sk, sl, sr, sv, tr,
                                 zh_CN
 * Updated Launchpad translations: fr, ro
 * Added scrollbar for page navigation
 * Try alternative names for scan mode to handle non-standard drivers

Overview of changes in simple-scan 0.7.6

 * Remember window size
 * Made .desktop file translatable
 * Added gconf schema
 * Added Launchpad translations: ast, nl

Overview of changes in simple-scan 0.7.5

 * When displaying a scan error have a button to open preferences to change
   scanner
 * Connect both Ctrl+Q and Ctrl+W to close window
 * Add tooltips to the menubar
 * Install translations correctly

Overview of changes in simple-scan 0.7.4

 * Connect toolbar scan button
 * Save multi page documents as multiple jpeg or png images
 * Move document type into menubar
 * Add cancel scan menu item (escape key)
 * Add shortcut for single page scan (ctrl+1)
 * Disable debugging by default, run with --debug to see the messages
 * Pick locally connected scanners by default (and only use webcams as a last
   resort)
 * Added Launchpad translations: bg, ca, de
 * Updated Launchpad translations: fr, ro

Overview of changes in simple-scan 0.7.3

 * Redesigned UI
 * Removed test code that triggered authorization on each scan
 * Add email action
 * Added Launchpad translations: ro, fr

Overview of changes in simple-scan 0.7.2

 * Detect remote scanners
 * Show authorization dialog for scanners

Overview of changes in simple-scan 0.7.1

 * Fix rotation and scaling when printing

Overview of changes in simple-scan 0.7.0

 * Scan text document in "Lineart" mode
 * Add crop support
 * Make default window larger
 * Add page navigation buttons
 * Zooming disabled - needs more work

Overview of changes in simple-scan 0.6.4

 * Support multi-pass scanners
 * Show white page on startup
 * Add border around scanned page
 * Add menu bar
 * Support multiple page scanning
 * Allow page deletion
 * Add page zooming and panning
 * Use standard scanner icon

Overview of changes in simple-scan 0.6.3

 * Support non-8 bit scanners
 * Fix DPI setting for various scanner types
 * Center non-scaled scans
 * Abort if cannot load UI

Overview of changes in simple-scan 0.6.2

 * Add command-line arguments
 * Warn if no scanners detected on startup
 * Report errors when failing to scan
 * Support .ps output format
 * Choose dpi and default output format based on document type
 * Remember document type setting
 * Make translatable

Overview of changes in simple-scan 0.6.1

 * Install .desktop file
 * Close output streams when finished writing
 * Handle not being able to open scan device

Overview of changes in simple-scan 0.6.0

 * Initial release
